CadXP: VBa polyligne - CadXP

Aller au contenu

Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

VBa polyligne

#1 Guest_maguiz_*

  • Groupe : Invités

Posté 06 mars 2011 - 14:17

bonjour j'ai fais une petite methode pour tracer une polyligne en fonction des points choisis par l'utilisateur mais la j'ai un petit probleme la polyligne n'apparait pas
voici le code si quelqu'un vois où est le probleme ça m'arrangerai
merci d'avance

Private Sub CommandButton18_Click()
Dim b(0 To 100) As Variant
Dim p As Variant
Dim i, k As Integer
Dim l As AcadLine

UserForm1.Hide

On Error GoTo GestErrCdG
k = 0
Do
p = ThisDrawing.Utility.GetPoint(, "choisir points")
b(k) = p(0)
b(k + 1) = p(1)
k = k + 2
Loop



Set l = ThisDrawing.ModelSpace.AddLightWeightPolyline(b)

GestErrCdG: 'Gestionnaire d'erreur : sort de la macro quand ECHAP est actionné

UserForm1.Show

End Sub
0

Partager ce sujet :


Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

1 utilisateur(s) en train de lire ce sujet
0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)